var Class = require("../class/Class.js").Class;

var mime = require("mime");
mime.define({
    'text/yaml': ['yaml'],
	'text/less': ['less']
});


var Mime = function () {};
Mime = new Class(new Mime());

Mime.getType = function (path) {
    return mime.lookup(path);
};

Mime.getCharset = function (path) {
    var contentType = Mime.getType(path);
    var retVal = mime.charsets.lookup(contentType);

    if(retVal) {
        return retVal;
    } else if (contentType == 'application/json') {
            return 'UTF-8';
    }
};

exports.Mime = Mime;
